> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dimensions by dimension

## Field support per integration

<AccordionGroup>
  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="dimension" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    <Note>
      If you're retrieving projects from Exact Online, your account must have one of the following package subscriptions enabled:

      * **Manufacturing** (any tier)
      * **Professional Services** (Plus, Professional, or Premium)
      * **Wholesale & Distribution** (any tier)
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <ResponseField name="rawData" type="boolean" />

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="createDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="description" type="string" />

    <ResponseField name="dimension" type="string" />

    <ResponseField name="status" type="string" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="Twinfield" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/twinfield.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=aacf76ab75d30aabd615bc761d08f405" width="24" height="24" data-path="logo/twinfield.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Query parameters:

    <ResponseField name="limit" type="enum">
      Available options: `5`, `10`, `20`, `50`, `100`
    </ResponseField>

    <ResponseField name="page" type="number" />

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="code" type="string" />

    <ResponseField name="dimension" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/dimensions/{dimension}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/dimensions/{dimension}:
    get:
      tags:
        - accounting
      operationId: getDimensionsByDimension
      parameters:
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/DimensionResponseDtoV2'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    DimensionResponseDtoV2:
      type: object
      properties:
        id:
          type: string
          example: 08c99551-49ae-4418-9e76-c618d9b21c81
        code:
          type: string
          example: CS1
        createdDate:
          type: string
          example: '2025-06-01T11:09:11.533Z'
        description:
          type: string
          example: Cost center 1
        dimension:
          type: string
          example: CostCenter
        name:
          type: string
          example: Jerde, Greenfelder and Jacobi
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
          example: ACTIVE
        updatedDate:
          type: string
          example: '2025-06-01T11:09:11.533Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````